summarylogtreecommitdiffstats
path: root/deepin-wine-quarkclouddrive.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-08 13:55:03 +0800
committerzxp198210052024-03-08 13:55:03 +0800
commitfe66faf2201fa3e531bb4c1b93accb5311dbd08e (patch)
treeb2a3b5b69aa1d933be13e070fdc3eb8675150226 /deepin-wine-quarkclouddrive.sh
parentff0ec876ee00169507097f38613352641e989532 (diff)
downloadaur-fe66faf2201fa3e531bb4c1b93accb5311dbd08e.tar.gz
fix errors
Diffstat (limited to 'deepin-wine-quarkclouddrive.sh')
-rw-r--r--deepin-wine-quarkclouddrive.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/deepin-wine-quarkclouddrive.sh b/deepin-wine-quarkclouddrive.sh
index 1c3f5cc0962d..2e7ca9850fd0 100644
--- a/deepin-wine-quarkclouddrive.sh
+++ b/deepin-wine-quarkclouddrive.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
set -e
BOTTLENAME=Deepin-@bottlename@
APPVER=@appver@
@@ -21,10 +21,10 @@ if [ -n "$EXPO{RT_ENVS" ];then
fi
if [ -n "${EXEC_PATH}" ];then
if [ -z "${EXEC_PATH##*.lnk*}" ];then
- exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "C:/windows/command/start.exe" "/Unix" "${EXEC_PATH}" "$@"
+ exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "C:/windows/command/start.exe" "/Unix" "${EXEC_PATH}" "$@" || exit $?
else
- exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "${EXEC_PATH}" "$@"
+ exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "${EXEC_PATH}" "$@" || exit $?
fi
else
- exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "uninstaller.exe" "$@"
+ exec "${START_SHELL_PATH}" "${BOTTLENAME}" "${APPVER}" "uninstaller.exe" "$@" || exit $?
fi \ No newline at end of file